<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_MpBuyerSellerChatApi
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\MpBuyerSellerChatApi\Api\Data;

use Webkul\MpBuyerSellerChatApi\Api\Data\CustomerInterface;

interface SaveChatInterface
{
    const STATUS   = 'status';
    const LOCALE   = 'locale';
    const SUCCESS  = 'success';
    const MESSAGE  = 'message';
    const CUSTOMER = "customer";
    const ATTACHMENT_URL = 'attachment_url';
    const TRANSLATED_MESSAGE = 'translated_message';

    /**
     * Get Status
     *
     * @return boolean|null
     */
    public function getStatus();
     
    /**
     * Set Status
     * @param boolean
     * @return boolean $status
     */
    public function setStatus($status);

    /**
     * Get Locale
     *
     * @return string|null
     */
    public function getLocale();
     
    /**
     * Set Locale
     * @param string
     * @return string $locale
     */
    public function setLocale($locale);

    /**
     * Get Success
     *
     * @return boolean|null
     */
    public function getSuccess();
     
    /**
     * Set Success
     * @param boolean
     * @return boolean $success
     */
    public function setsuccess($success);


    /**
     * Get message
     *
     * @return string|null
     */
    public function getMessage();
     
    /**
     * Set Message
     * @param string
     * @return string $messgae
     */
    public function setMessage($messgae);

    /**
     * get translated message
     *
     * @return string|null
     */
    public function getTranslatedMessage();
     
    /**
     * set translated message
     * @param string
     * @return string $messgae
     */
    public function setTranslatedMessage($messgae);

    /**
     * Get customer
     *
     * @return \Webkul\MpBuyerSellerChatApi\Api\Data\CustomerInterface $customer
     */
    public function getCustomer();

    /**
     * Set customer
     *
     * @param \Webkul\MpBuyerSellerChatApi\Api\Data\CustomerInterface $customer
     * @return $this
     */
    public function setCustomer(CustomerInterface $customer);

    /**
     * Get url
     *
     * @return String $url
     */
    public function getAttachmentUrl();

    /**
     * Set url
     *
     * @param String $url
     * @return $this
     */
    public function setAttachmentUrl($url);
}
    